package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag795;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT795Creator;

public class Tag79Creator extends AbsTagCreate {
    private MT795Creator mt795Creator;

    public Tag79Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt795Creator = (MT795Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag79Value = mt795Creator.getNarrativeDescription();
        mt795Creator.set("79", tag79Value);
    }
}
